## cppreference-doc 20140208+dfsg1

=== Makefile ===
#   Copyright (C) 2011-2014  Povilas Kanapickas <povilas@radix.lt>
#
#   This file is part of cppreference-doc
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see http://www.gnu.org/licenses/.

SHELL := /bin/bash

#Common prefixes

prefix = /usr
datarootdir = $(prefix)/share
docdir = $(datarootdir)/cppreference/doc
bookdir = $(datarootdir)/devhelp/books

#Version

VERSION=20140208

#STANDARD RULES

all: doc_devhelp doc_qch

DISTFILES=	\
		reference/				\
		images/					\
		build_link_map.py		\
		ddg_parse_html.py		\
		devhelp2qch.xsl			\
		fix_devhelp-links.py	\
		httrack-workarounds.py	\
		index2browser.py		\
		index2ddg.py			\
		index2devhelp.py		\
		index2search.py			\
		index2highlight.py		\
		index_transform.py		\
		index-chapters-c.xml	\
		index-chapters-cpp.xml	\
		index-functions.README	\
		index-functions-c.xml	\
		index-functions-cpp.xml	\
		preprocess.py			\
		preprocess.xsl			\
		preprocess-css.css		\
		Makefile				\
		README

CLEANFILES= \
		output

clean:
		rm -rf $(CLEANFILES)

check:

dist: clean
	mkdir -p "cppreference-doc-$(VERSION)"
	cp -r $(DISTFILES) "cppreference-doc-$(VERSION)"
	tar czf "cppreference-doc-$(VERSION).tar.gz" "cppreference-doc-$(VERSION)"
	rm -rf "cppreference-doc-$(VERSION)"

install:
	# install the devhelp documentation
	pushd "output/reference" > /dev/null; \
	find . -type f \
		-exec install -DT -m 644 '{}' "$(DESTDIR)$(docdir)/html/{}" \; ; \
	popd > /dev/null

	install -DT -m 644 "output/cppreference-doc-en-c.devhelp2" \
		"$(DESTDIR)$(bookdir)/cppreference-doc-en-c/cppreference-doc-en-c.devhelp2"
	install -DT -m 644 "output/cppreference-doc-en-cpp.devhelp2" \
		"$(DESTDIR)$(bookdir)/cppreference-doc-en-cpp/cppreference-doc-en-cpp.devhelp2"

	# install the .qch (Qt Help) documentation
	install -DT -m 644 "output/cppreference-doc-en-cpp.qch" \
		"$(DESTDIR)$(docdir)/qch/cppreference-doc-en-cpp.qch"

uninstall:
	rm -rf "$(DESTDIR)$(docdir)"
	rm -rf "$(DESTDIR)$(bookdir)"

#WORKER RULES
doc_html: output/reference

doc_devhelp: output/cppreference-doc-en-c.devhelp2 output/cppreference-doc-en-cpp.devhelp2

doc_qch: output/cppreference-doc-en-cpp.qch

#builds the title<->location map
output/link-map.xml: output/reference
	./build_link_map.py

#build the .devhelp2 index
output/cppreference-doc-en-c.devhelp2: 		\
		output/reference 		\
		output/link-map.xml
	./index2devhelp.py $(docdir)/html index-chapters-c.xml  \
		"C Standard Library reference" "cppreference-doc-en-c" "c" \
		index-functions-c.xml "output/devhelp-index-c.xml"
	./fix_devhelp-links.py "output/devhelp-index-c.xml"  \
		"output/cppreference-doc-en-c.devhelp2"

output/cppreference-doc-en-cpp.devhelp2:	\
		output/reference 		\
		output/link-map.xml
	./index2devhelp.py $(docdir)/html index-chapters-cpp.xml  \
		"C++ Standard Library reference" "cppreference-doc-en-cpp" "cpp" \
		index-functions-cpp.xml "output/devhelp-index-cpp.xml"
	./fix_devhelp-links.py "output/devhelp-index-cpp.xml" \
		"output/cppreference-doc-en-cpp.devhelp2"

#build the .qch (QT help) file
output/cppreference-doc-en-cpp.qch: output/qch-help-project-cpp.xml
	#qhelpgenerator only works if the project file is in the same directory as the documentation
	cp "output/qch-help-project-cpp.xml" "output/reference/qch.xml"

	pushd "output/reference" > /dev/null; \
	qhelpgenerator "qch.xml" -o "../cppreference-doc-en-cpp.qch"; \
	popd > /dev/null

	rm -f "output/reference/qch.xml"

output/qch-help-project-cpp.xml: output/cppreference-doc-en-cpp.devhelp2
	#build the file list
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?><files>" > "output/qch-files.xml"

	pushd "output/reference" > /dev/null; \
	find . -type f -not -iname "*.ttf" \
		-exec echo "<file>"'{}'"</file>" >> "../qch-files.xml" \; ; \
	popd > /dev/null

	echo "</files>" >> "output/qch-files.xml"

	#create the project (copies the file list)
	xsltproc devhelp2qch.xsl "output/cppreference-doc-en-cpp.devhelp2" > \
		"output/qch-help-project-cpp.xml"

output:
	mkdir -p output

#create preprocessed archive
output/reference: output
	./preprocess.py

# create indexes for the wiki
indexes:
	mkdir -p output/indexes
	./index2highlight.py index-functions-cpp.xml output/indexes/highlight-cpp
	./index2highlight.py index-functions-c.xml output/indexes/highlight-c
	./index2search.py index-functions-cpp.xml output/indexes/search-cpp
	./index2search.py index-functions-c.xml output/indexes/search-c
	cat index-cpp-search-app.txt >> output/indexes/search-cpp
	./index2autolinker.py index-functions-c.xml output/indexes/autolink-c
	./index2autolinker.py index-functions-cpp.xml output/indexes/autolink-cpp

#redownloads the source documentation directly from en.cppreference.com
source:
	rm -rf "reference"
	mkdir "reference"

	pushd "reference" > /dev/null; \
	httrack http://en.cppreference.com/w/ -k --near --include-query-string \
	  -* +en.cppreference.com/* +upload.cppreference.com/* -*index.php\?* \
	  -*/Special:* -*/Talk:* -*/Help:* -*/File:* -*/Cppreference:* -*/WhatLinksHere:* \
	  -*/Template:* -*/Category:* -*action=* -*printable=* \
	  -en.cppreference.com/book/* -en.cppreference.com/book \
	  +*MediaWiki:Common.css* +*MediaWiki:Print.css* +*MediaWiki:Vector.css* \
	  -*MediaWiki:Geshi.css* "+*title=-&action=raw*" --timeout=180 --retries=10 ;\
	popd > /dev/null

	#delete useless files
	rm -rf "reference/hts-cache"
	rm -f "reference/backblue.gif"
	rm -f "reference/fade.gif"
	rm -f "reference/hts-log.txt"
	rm -f "reference/index.html"

	#download files that httrack has forgotten
	./httrack-workarounds.py

=== debian/changelog ===
cppreference-doc (20140208+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #645513)
  * Repack upstream tarball to conform to the Debian Free Software Guidelines
    - include the original wiki-text from which the documentation can be
      regenerated if imported into a MediaWiki wiki.
    - include source of minified CSS and JS files

 -- Povilas Kanapickas <povilas@radix.lt>  Sat, 08 Feb 2014 00:00:00 +0000

=== debian/control ===
Source: cppreference-doc
Priority: optional
Maintainer: Povilas Kanapickas <povilas@radix.lt>
Build-Depends: debhelper (>= 9), xsltproc, python, python-lxml, python3, python3-lxml, qt4-dev-tools
Standards-Version: 3.9.5
Section: doc
Homepage: http://en.cppreference.com/w/Cppreference:Archives
Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian
Vcs-Git: git://github.com/p12tic/cppreference-doc-debian.git

Package: cppreference-doc-en-html
Architecture: all
Depends: fonts-dejavu-core, lynx | www-browser, ${misc:Depends}
Recommends:
Description: C and C++ standard library reference (English, Devhelp variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Devhelp book.

Package: cppreference-doc-en-qch
Architecture: all
Depends: fonts-dejavu-core, qt4-dev-tools | qttools5-dev-tools, ${misc:Depends}
Recommends:
Description: C and C++ standard library reference (English, Qt Help variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Qt Help book.

## cppreference-doc 20140827+dfsg0

=== Makefile ===
--- 
+++ 
@@ -26,11 +26,11 @@
 
 #Version
 
-VERSION=20140208
+VERSION=20140827
 
 #STANDARD RULES
 
-all: doc_devhelp doc_qch
+all: doc_devhelp doc_qch doc_doxygen
 
 DISTFILES=	\
 		reference/				\
@@ -39,10 +39,11 @@
 		ddg_parse_html.py		\
 		devhelp2qch.xsl			\
 		fix_devhelp-links.py	\
-		httrack-workarounds.py	\
+		index2autolinker.py	\
 		index2browser.py		\
 		index2ddg.py			\
 		index2devhelp.py		\
+		index2doxygen-tag.py		\
 		index2search.py			\
 		index2highlight.py		\
 		index_transform.py		\
@@ -51,11 +52,13 @@
 		index-functions.README	\
 		index-functions-c.xml	\
 		index-functions-cpp.xml	\
+		link_map.py		\
 		preprocess.py			\
 		preprocess.xsl			\
 		preprocess-css.css		\
 		Makefile				\
-		README
+		README				\
+		xml_utils.py
 
 CLEANFILES= \
 		output
@@ -71,7 +74,7 @@
 	tar czf "cppreference-doc-$(VERSION).tar.gz" "cppreference-doc-$(VERSION)"
 	rm -rf "cppreference-doc-$(VERSION)"
 
-install:
+install: all
 	# install the devhelp documentation
 	pushd "output/reference" > /dev/null; \
 	find . -type f \
@@ -82,6 +85,10 @@
 		"$(DESTDIR)$(bookdir)/cppreference-doc-en-c/cppreference-doc-en-c.devhelp2"
 	install -DT -m 644 "output/cppreference-doc-en-cpp.devhelp2" \
 		"$(DESTDIR)$(bookdir)/cppreference-doc-en-cpp/cppreference-doc-en-cpp.devhelp2"
+	install -DT -m 644 "output/cppreference-doxygen-local.tag.xml" \
+		"$(DESTDIR)$(bookdir)/cppreference-doxygen-local.tag.xml"
+	install -DT -m 644 "output/cppreference-doxygen-web.tag.xml" \
+		"$(DESTDIR)$(bookdir)/cppreference-doxygen-web.tag.xml"
 
 	# install the .qch (Qt Help) documentation
 	install -DT -m 644 "output/cppreference-doc-en-cpp.qch" \
@@ -91,12 +98,39 @@
 	rm -rf "$(DESTDIR)$(docdir)"
 	rm -rf "$(DESTDIR)$(bookdir)"
 
+release: all
+	rm -rf release
+	mkdir -p release
+
+	# zip the distributable
+	mkdir -p "cppreference-doc-$(VERSION)"
+	cp -r $(DISTFILES) "cppreference-doc-$(VERSION)"
+	tar czf "release/cppreference-doc-$(VERSION).tar.gz" "cppreference-doc-$(VERSION)"
+	zip -r "release/cppreference-doc-$(VERSION).zip" "cppreference-doc-$(VERSION)"
+	rm -rf "cppreference-doc-$(VERSION)"
+
+	# zip the html output
+	pushd "output"; \
+	tar czf "../release/html-book-$(VERSION).tar.gz" "reference" \
+		"cppreference-doxygen-local.tag.xml" ; \
+	zip -r "../release/html-book-$(VERSION).zip" "reference" \
+		"cppreference-doxygen-local.tag.xml" ; \
+	popd
+
+	# zip qch
+	pushd "output"; \
+	tar czf "../release/qch-book-$(VERSION).tar.gz" "cppreference-doc-en-cpp.qch"; \
+	zip -r "../release/qch-book-$(VERSION).zip" "cppreference-doc-en-cpp.qch"; \
+	popd
+
 #WORKER RULES
 doc_html: output/reference
 
 doc_devhelp: output/cppreference-doc-en-c.devhelp2 output/cppreference-doc-en-cpp.devhelp2
 
 doc_qch: output/cppreference-doc-en-cpp.qch
+
+doc_doxygen: output/cppreference-doxygen-web.tag.xml output/cppreference-doxygen-local.tag.xml
 
 #builds the title<->location map
 output/link-map.xml: output/reference
@@ -147,11 +181,24 @@
 	xsltproc devhelp2qch.xsl "output/cppreference-doc-en-cpp.devhelp2" > \
 		"output/qch-help-project-cpp.xml"
 
-output:
+# build doxygen tag file
+output/cppreference-doxygen-local.tag.xml: 		\
+		output/reference 		\
+		output/link-map.xml
+	./index2doxygen-tag.py "output/link-map.xml" \
+		"index-functions-cpp.xml" \
+		"output/cppreference-doxygen-local.tag.xml"
+
+output/cppreference-doxygen-web.tag.xml: 		\
+		output/reference 		\
+		output/link-map.xml
+	./index2doxygen-tag.py web \
+		"index-functions-cpp.xml" \
+		"output/cppreference-doxygen-web.tag.xml"
+
+#create preprocessed archive
+output/reference:
 	mkdir -p output
-
-#create preprocessed archive
-output/reference: output
 	./preprocess.py
 
 # create indexes for the wiki
@@ -171,22 +218,17 @@
 	mkdir "reference"
 
 	pushd "reference" > /dev/null; \
-	httrack http://en.cppreference.com/w/ -k --near --include-query-string \
-	  -* +en.cppreference.com/* +upload.cppreference.com/* -*index.php\?* \
-	  -*/Special:* -*/Talk:* -*/Help:* -*/File:* -*/Cppreference:* -*/WhatLinksHere:* \
-	  -*/Template:* -*/Category:* -*action=* -*printable=* \
-	  -en.cppreference.com/book/* -en.cppreference.com/book \
-	  +*MediaWiki:Common.css* +*MediaWiki:Print.css* +*MediaWiki:Vector.css* \
-	  -*MediaWiki:Geshi.css* "+*title=-&action=raw*" --timeout=180 --retries=10 ;\
-	popd > /dev/null
-
-	#delete useless files
-	rm -rf "reference/hts-cache"
-	rm -f "reference/backblue.gif"
-	rm -f "reference/fade.gif"
-	rm -f "reference/hts-log.txt"
-	rm -f "reference/index.html"
-
-	#download files that httrack has forgotten
-	./httrack-workarounds.py
-
+	regex=".*index\\.php.*|.*/Special:.*|.*/Talk:.*" \
+	regex+="|.*/Help:.*|.*/File:.*|.*/Cppreference:.*" \
+	regex+="|.*/WhatLinksHere:.*|.*/Template:.*|.*/Category:.*" \
+	regex+="|.*action=.*|.*printable=.*|.*en.cppreference.com/book.*" ; \
+	echo $$regex ; \
+	wget --adjust-extension --page-requisites --convert-links \
+	  --force-directories --recursive --level=15 \
+	  --span-hosts --domains=en.cppreference.com,upload.cppreference.com \
+	  --reject-regex $$regex \
+	  --timeout=180 --no-verbose \
+	  --retry-connrefused --waitretry=1 --read-timeout=20 \
+	  http://en.cppreference.com/w/ ; \
+	popd > /dev/null
+

=== debian/changelog ===
cppreference-doc (20140827+dfsg0-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1388644)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 09 Nov 2014 11:49:30 +0100

cppreference-doc (20140827+dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Drop dependencies on python and python-lxml as v3 counterparts are used
    exclusively.

 -- Povilas Kanapickas <povilas@radix.lt>  Wed, 27 Aug 2014 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cppreference-doc
 Priority: optional
 Maintainer: Povilas Kanapickas <povilas@radix.lt>
-Build-Depends: debhelper (>= 9), xsltproc, python, python-lxml, python3, python3-lxml, qt4-dev-tools
+Build-Depends: debhelper (>= 9), xsltproc, python3, python3-lxml, qt4-dev-tools
 Standards-Version: 3.9.5
 Section: doc
 Homepage: http://en.cppreference.com/w/Cppreference:Archives

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf __pycache__

## cppreference-doc 20151129%2Bdfsg0

=== debian/changelog ===
cppreference-doc (20151129+dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches
    - drop 03-remove_extra_license_files.patch; license files removed when
      repacking the archive.
    - update 02-force-utf8-encoding.patch

 -- Povilas Kanapickas <povilas@radix.lt>  Fri, 4 Dec 2015 00:00:00 +0000

## cppreference-doc 20151129+dfsg0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,11 @@
 docdir = $(datarootdir)/cppreference/doc
 bookdir = $(datarootdir)/devhelp/books
 
+qhelpgenerator = qhelpgenerator
+
 #Version
 
-VERSION=20140827
+VERSION=20151129
 
 #STANDARD RULES
 
@@ -35,6 +37,7 @@
 DISTFILES=	\
 		reference/				\
 		images/					\
+		headers/				\
 		build_link_map.py		\
 		ddg_parse_html.py		\
 		devhelp2qch.xsl			\
@@ -57,7 +60,7 @@
 		preprocess.xsl			\
 		preprocess-css.css		\
 		Makefile				\
-		README				\
+		README.md			\
 		xml_utils.py
 
 CLEANFILES= \
@@ -161,7 +164,7 @@
 	cp "output/qch-help-project-cpp.xml" "output/reference/qch.xml"
 
 	pushd "output/reference" > /dev/null; \
-	qhelpgenerator "qch.xml" -o "../cppreference-doc-en-cpp.qch"; \
+	$(qhelpgenerator) "qch.xml" -o "../cppreference-doc-en-cpp.qch"; \
 	popd > /dev/null
 
 	rm -f "output/reference/qch.xml"
@@ -172,7 +175,7 @@
 
 	pushd "output/reference" > /dev/null; \
 	find . -type f -not -iname "*.ttf" \
-		-exec echo "<file>"'{}'"</file>" >> "../qch-files.xml" \; ; \
+		-exec echo "<file>"'{}'"</file>" \; | LC_ALL=C sort >> "../qch-files.xml" ; \
 	popd > /dev/null
 
 	echo "</files>" >> "output/qch-files.xml"

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Povilas Kanapickas <povilas@radix.lt>
 Build-Depends: debhelper (>= 9), xsltproc, python3, python3-lxml, qt4-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: doc
 Homepage: http://en.cppreference.com/w/Cppreference:Archives
 Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian

## cppreference-doc 20170409

=== Makefile ===
--- 
+++ 
@@ -28,16 +28,18 @@
 
 #Version
 
-VERSION=20151129
+VERSION=20170409
 
 #STANDARD RULES
 
 all: doc_devhelp doc_qch doc_doxygen
 
 DISTFILES=	\
+		gadgets/				\
+		headers/				\
+		images/					\
 		reference/				\
-		images/					\
-		headers/				\
+		skins/					\
 		build_link_map.py		\
 		ddg_parse_html.py		\
 		devhelp2qch.xsl			\
@@ -47,17 +49,17 @@
 		index2ddg.py			\
 		index2devhelp.py		\
 		index2doxygen-tag.py		\
+		index2highlight.py		\
 		index2search.py			\
-		index2highlight.py		\
 		index_transform.py		\
 		index-chapters-c.xml	\
 		index-chapters-cpp.xml	\
+		index-cpp-search-app.txt \
 		index-functions.README	\
 		index-functions-c.xml	\
 		index-functions-cpp.xml	\
 		link_map.py		\
 		preprocess.py			\
-		preprocess.xsl			\
 		preprocess-css.css		\
 		Makefile				\
 		README.md			\
@@ -190,6 +192,7 @@
 		output/link-map.xml
 	./index2doxygen-tag.py "output/link-map.xml" \
 		"index-functions-cpp.xml" \
+		"index-chapters-cpp.xml" \
 		"output/cppreference-doxygen-local.tag.xml"
 
 output/cppreference-doxygen-web.tag.xml: 		\
@@ -197,12 +200,13 @@
 		output/link-map.xml
 	./index2doxygen-tag.py web \
 		"index-functions-cpp.xml" \
+		"index-chapters-cpp.xml" \
 		"output/cppreference-doxygen-web.tag.xml"
 
 #create preprocessed archive
 output/reference:
 	mkdir -p output
-	./preprocess.py
+	./preprocess.py --src reference --dst output/reference
 
 # create indexes for the wiki
 indexes:
@@ -230,8 +234,9 @@
 	  --force-directories --recursive --level=15 \
 	  --span-hosts --domains=en.cppreference.com,upload.cppreference.com \
 	  --reject-regex $$regex \
-	  --timeout=180 --no-verbose \
-	  --retry-connrefused --waitretry=1 --read-timeout=20 \
+	  --timeout=5 --tries=50 --no-verbose \
+	  --retry-connrefused --waitretry=10 --read-timeout=20 \
 	  http://en.cppreference.com/w/ ; \
 	popd > /dev/null
 
+	./export.py --url=http://en.cppreference.com/mwiki reference/cppreference-export-ns0,4,8,10.xml 0 4 8 10

=== debian/changelog ===
cppreference-doc (20170409-2) unstable; urgency=low

  * Override source-is-missing for files that have their real source in the
    archive
  * Override insane-line-length-in-source file for files that have their
    real source in the archive

  [ Rik Mills ]
  * Fix FTBFS with Qt5.
    - debian/rules: export QT_SELECT := qt5
    - debian/patches: upstream_fix-qch-build.patch

  [ Michael R. Crusoe ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove old boilerplate from debian/rules
  * Remove trailing whitespace in debian/rules
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Fix field name typos in debian/copyright.
  * debian/watch: find new upstream versions

 -- Povilas Kanapickas <povilas@radix.lt>  Thu, 16 Jan 2020 00:00:00 +0000

cppreference-doc (20170409-1.1) unstable; urgency=medium

  * Build using Qt5 (Closes: #874862)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Sep 2019 20:26:32 +0200

cppreference-doc (20170409-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches
    - drop 02-force-utf8-encoding.patch: integrated upstream
  * Override license-problem-gfdl-invariants warning for file that is actually
    licensed under GFDL-NIV.

 -- Povilas Kanapickas <povilas@radix.lt>  Sun, 9 Apr 2017 00:00:00 +0000

=== debian/control ===
Source: cppreference-doc
Maintainer: Povilas Kanapickas <povilas@radix.lt>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 12),
               xsltproc,
               python3,
               python3-lxml,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/p12tic/cppreference-doc-debian
Vcs-Git: https://github.com/p12tic/cppreference-doc-debian.git
Homepage: https://en.cppreference.com/w/Cppreference:Archives

Package: cppreference-doc-en-html
Architecture: all
Depends: fonts-dejavu-core,
         lynx | www-browser,
         ${misc:Depends}
Description: C and C++ standard library reference (English, Devhelp variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Devhelp book.

Package: cppreference-doc-en-qch
Architecture: all
Depends: fonts-dejavu-core,
         qttools5-dev-tools,
         ${misc:Depends}
Description: C and C++ standard library reference (English, Qt Help variant)
 A version of online C and C++ standard library reference manual available at
 en.cppreference.com, suitable for viewing offline.
 .
 This package contains a Qt Help book.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT := qt5

%:
	dh $@

=== debian/watch ===
# New source releases appear at https://en.cppreference.com/w/Cppreference:Archives
# in section "Raw archive" once in several months.

version=4

https://en.cppreference.com/w/Cppreference:Archives .*/File:cppreference-doc@ANY_VERSION@@ARCHIVE_EXT@
